Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class AbstractSAXParser.AttributesProxy

    java.lang.Object
      weblogic.apache.xerces.parsers.AbstractSAXParser.AttributesProxy

All Implemented Interfaces:
  AttributeList, Attributes

Enclosing class:
  AbstractSAXParser

    protected static final class AbstractSAXParser.AttributesProxy

extends Object
implements AttributeList, Attributes

Field Summary
`protected XMLAttributes` | `fAttributes` XML attributes.

Constructor Summary
`protected` | `AbstractSAXParser.AttributesProxy()`

Method Summary
`int` | `getIndex(String qName)`
`int` | `getIndex(String uri, String localPart)`
`int` | `getLength()`
`String` | `getLocalName(int index)`
`String` | `getName(int i)`
`String` | `getQName(int index)`
`String` | `getType(int i)`
`String` | `getType(String name)`
`String` | `getType(String uri, String localName)`
`String` | `getURI(int index)`
`String` | `getValue(int i)`
`String` | `getValue(String name)`
`String` | `getValue(String uri, String localName)`
`void` | `setAttributes(XMLAttributes attributes)` Sets the XML attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttributes

    protected XMLAttributes fAttributes

  XML attributes.

Constructor Detail

### AbstractSAXParser.AttributesProxy

    protected AbstractSAXParser.AttributesProxy()

Method Detail

### setAttributes

    public void setAttributes(XMLAttributes attributes)

  Sets the XML attributes.

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `AttributeList`
  Specified by:
    `getLength` in interface `Attributes`

### getName

    public String getName(int i)

  Specified by:
    `getName` in interface `AttributeList`

### getQName

    public String getQName(int index)

  Specified by:
    `getQName` in interface `Attributes`

### getURI

    public String getURI(int index)

  Specified by:
    `getURI` in interface `Attributes`

### getLocalName

    public String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `Attributes`

### getType

    public String getType(int i)

  Specified by:
    `getType` in interface `AttributeList`
  Specified by:
    `getType` in interface `Attributes`

### getType

    public String getType(String name)

  Specified by:
    `getType` in interface `AttributeList`
  Specified by:
    `getType` in interface `Attributes`

### getType

    public String getType(String uri,
                          String localName)

  Specified by:
    `getType` in interface `Attributes`

### getValue

    public String getValue(int i)

  Specified by:
    `getValue` in interface `AttributeList`
  Specified by:
    `getValue` in interface `Attributes`

### getValue

    public String getValue(String name)

  Specified by:
    `getValue` in interface `AttributeList`
  Specified by:
    `getValue` in interface `Attributes`

### getValue

    public String getValue(String uri,
                           String localName)

  Specified by:
    `getValue` in interface `Attributes`

### getIndex

    public int getIndex(String qName)

  Specified by:
    `getIndex` in interface `Attributes`

### getIndex

    public int getIndex(String uri,
                        String localPart)

  Specified by:
    `getIndex` in interface `Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD